"use strict";

import View from './View.js';

class SubmittingOrderView extends View {

    parentElement = document.querySelector('#itemDetails');
    total = document.querySelector('#total').value;
    currency = document.querySelector('#currency').value;
    errorMessage = '';
    message = '';

  getSubmittedOrder() {
    return {
        'total': this.total,
        'currency': this.currency
    };
  }

  renderProcessing(wallet) {
    console.log(wallet);
    const markup = `
      <div class="flex flex-col items-center justify-center gap-16">
        <img src=${wallet.image} alt="Qr code" class="h-[300px]" />
        <p class="text-center">ADA Address: <br /><span id="address" class="text-rose-500">${wallet.address}</span></p>
      </div>
    `;
    this.parentElement.innerHTML =  markup;;
  }

  addHandlerRender(handler) {
    this.parentElement.querySelector('#submitButton').addEventListener('click', function (e) {
      e.preventDefault();
      handler();
    });
  }
}

export default new SubmittingOrderView();
