<!DOCTYPE html>
<html lang="en">

<head>
    <title>Submit Order</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://kit.fontawesome.com/f6777e9957.js" crossorigin="anonymous"></script>
</head>

<body class="py-8 px-16">
    <header class="flex flex-col mb-12">
        <div class="flex flex-row items-center justify-between mb-8">
            <h1 class="text-[16px] text-black/80 ml-4"><a>Shop</a></h1>

            <p class="font-semibold text-[16px] text-black/80">ADAPAYMENT</p>

            <i class="fa-solid fa-cart-shopping text-[20px]"></i>
        </div>
        <div class="flex flex-row items-center justify-between my-4">
            <h1 class="font-bold text-[16px] text-black/80"><a>STORE</a></h1>

            <div class="flex flex-row items-center gap-4 text-black/70 text-[16px]">
                <i class="fa-solid fa-filter"></i>
                <i class="fa-solid fa-magnifying-glass"></i>
            </div>
        </div>
    </header>
    <section class="flex flex-col w-[100%] mb-16">
      <section class="grid grid-cols-4 gap-16">
        <?php foreach ($items as $item): ?>
            <div class="product">
                <a href="/store/details?id=<?php echo $item['id']; ?>">
                    <img src="<?php echo $item['img']; ?>" alt="" class="h-[400px] w-[100%]" />
                    <div class="flex flex-row justify-between mt-4">
                        <div>
                            <h2 class="text-black/80 text-[20px] mb-2">
                                <?php echo $item['name']; ?>
                            </h2>
                            <p class="text-[16px]"><?php echo $item['price']; ?></p>
                        </div>
                        <i class="fa-regular fa-heart text-[20px]"></i>
                    </div>
                </a>
            </div>
        <?php endforeach; ?>
    </section>

    </section>
    <section class="mt-20">
        <h2 class="text-black/80 text-[24px] font-bold">ABOUT</h2>
        <p class="mt-4 text-black/60">
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed cursus tellus ac felis sodales cursus.
            Nullam congue turpis ut venenatis elementum. Nunc quam libero, maximus nec ipsum sed, ultricies suscipit
            urna.
            Fusce sollicitudin erat nec vehicula ultrices. Aliquam interdum sem vitae consectetur congue. Integer et
            varius sapien, in tristique felis.
            Curabitur pellentesque ex eu varius consectetur.

            Sed nec consectetur felis. Lorem ipsum dolor sit amet, consectetur adipiscing elit.
            Etiam consectetur, massa lobortis laoreet pharetra, libero odio egestas purus, vulputate aliquet diam lacus
            vitae velit.
            Pellentesque at est ac lectus gravida pretium nec sed dolor. Quisque vitae blandit magna. Maecenas vitae
            fringilla sem.
            Phasellus vel odio massa. Donec scelerisque tortor elit, eget posuere eros blandit nec. Phasellus et aliquet
            leo. U
            t congue velit eget erat venenatis accumsan in vitae dui. In ultrices risus ipsum, ut semper mi accumsan ut.
            Aliquam convallis interdum blandit. Mauris pulvinar auctor viverra. Aenean urna augue, commodo in neque
            efficitur, sodales fringilla massa.
        </p>
    </section>
    </section>
    <footer>
        <hr />
        <div class="flex flex-row items-center justify-between mt-8">
            <div class="w-[50%]">
                <h2 class="text-black/80 text-[24px] font-regular">About</h2>
                <p class="mt-4 text-black/60">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed cursus tellus ac
                    felis sodales cursus. Nullam congue turpis ut venenatis elementum.
                    Nunc quam libero, maximus nec ipsum sed, ultricies suscipit urna. Fusce sollicitudin erat nec vehicula
                    ultrices.</p>
            </div>
            <div class="w-[8%]">
                <h2>Social</h2>
                <ul class="flex flex-row items-center justify-between mt-4">
                    <li>
                        <a><i class="fa-brands fa-twitter text-black/60"></i></a>
                    </li>
                    <li>
                        <a><i class="fa-brands fa-facebook text-black/60"></i></a>
                    </li>
                    <li>
                        <a><i class="fa-brands fa-linkedin text-black/60"></i></a>
                    </li>
                    <li>
                        <a><i class="fa-brands fa-square-instagram text-black/60"></i></a>
                    </li>
                </ul>
            </div>
        </div>
    </footer>

    <!-- popup for errors and messages -->
    <div id="popup" class="absolute bottom-12 rounded-sm w-auto h-auto right-48 z-10"></div>

    <!-- js script -->
    <script type="module" src="../../js/controller.js"></script>
</body>

</html>